function getNodeList(target) {
    if (typeof target === 'string') {
        return [].slice.call(document.querySelectorAll(target))
    }

    const objectType = Object.prototype.toString.call(target).split(' ')[1].replace(']', '');
    const isHtmlTag = objectType.indexOf('Node') > -1 ||
        objectType.indexOf('HTML') > -1||
        objectType.indexOf('Element') > -1;

    if (isHtmlTag) {
        return target.length > 1 ? [].slice.call(target) : [target];
    }

    return false;
}

export { getNodeList };