function validateParams(method, params, mandatory) {
  if (Object.prototype.toString.call(params).split(' ')[1].replace(']', '') !== 'Object') {
    return {
      valid: false,
      error: `No valid parameters object has been passed to ${method}`
    };
  }

  const mandatoryList = typeof mandatory === 'string' ? [mandatory] : mandatory;

  const errors = mandatoryList.reduce((errorList, item) => {
    if (!(item in params)) {
      errorList.push(item);
    }
    return errorList;
  }, []);

  if (errors.length > 0) {
    return {
      valid: false,
      error: `Mandatory parameters are missing from ${method}: ${errors.join(', ')}`
    };
  }

  return {
    valid: true
  };
}

export default validateParams;